% findCycle  Find first connected piece of the boundary Gamma
%
%    findCycle(elements)
%    Returns the indices of the first connected piece of the boundary
%    Gamma.
%
% Example:
%    elements = [1,2;5,8;2,4;8,7;7,6;4,3;3,1;6,5];
%    idx = findCycle(elements)

function ptr = findCycle(elements)
  %*** determine neighbouring element
  node2element = ones(1,max(max(elements)));
  node2element(elements(:,1)) = 1:size(elements,1);
  ptr = ones(size(elements,1),1);
  for j = 2:size(elements,1)
      ptr(j) = node2element(elements(ptr(j-1),2)); 
      if ptr(j) == 1 
          ptr=ptr(1:j-1);
          return;
      end
  end
